\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{fixltx2e}
\usepackage{graphicx}
\usepackage{longtable}
\usepackage{keyval, kvoptions, fancyvrb, fvextra, upquote, float, ifthen, calc,
ifplatform, pdftexcmds, etoolbox, xstring, lineno, framed}
\usepackage{minted}
\usepackage{wrapfig}
\usepackage{rotating}
\usepackage[normalem]{ulem}
\usepackage{amsmath}
\usepackage{textcomp}
\usepackage{marvosym}
\usepackage{wasysym}
\usepackage{amssymb}
\usepackage{hyperref}
\tolerance=1000

\usepackage{ae,aecompl}
\useunder{\uline}{\ul}{}
\usepackage[official]{eurosym}
\usepackage{makecell}
\usepackage{enumitem}
\usepackage[svgnames,table,xcdraw]{xcolor}

% MLNN template
\usepackage{nips13submit_e,times,epsfig,booktags}

%% \usepackage[colorlinks]{hyperref}
%% \hypersetup{citecolor=Pink}
%% \hypersetup{linkcolor=blue}
%% \hypersetup{urlcolor=DarkBlue}

\usepackage{cleveref}
\usepackage{cite}
\renewcommand\citeleft{}  % no opening or closing brackets
\renewcommand\citeright{}
%\usepackage{thebibliography}
\usepackage{mathtools}
\restylefloat{table}

%\textheight=23.94cm 
%\textwidth=16cm 
%\topmargin=-1cm 
%\oddsidemargin=-0.22cm 
%\renewcommand{\baselinestretch}{1.3} 
%\parindent=1.5cm 
%\usepackage[margin=1.5in]{geometry} 

\usepackage{listings}
\usepackage{color}
\usepackage{xcolor}

\providecommand{\abs}[1]{\lvert#1\rvert}
\providecommand{\norm}[1]{\lVert#1\rVert}
\newcommand{\quotes}[1]{``#1''}


\definecolor{dkgreen}{rgb}{0,0.6,0}
\definecolor{gray}{rgb}{0.5,0.5,0.5}
\definecolor{mauve}{rgb}{0.58,0,0.82}

\definecolor{mGreen}{rgb}{0,0.6,0}
\definecolor{mGray}{rgb}{0.5,0.5,0.5}
\definecolor{mPurple}{rgb}{0.58,0,0.82}
\definecolor{backgroundColour}{rgb}{0.95,0.95,0.92}
\definecolor{friendlybg}{rgb}{0.96,0.96,0.96}

\lstdefinestyle{CStyle}{
    backgroundcolor=\color{backgroundColour},   
    commentstyle=\color{mGreen},
    keywordstyle=\color{magenta},
    numberstyle=\tiny\color{mGray},
    stringstyle=\color{mPurple},
    basicstyle=\footnotesize,
    breakatwhitespace=false,         
    breaklines=true,                 
    captionpos=b,                    
    keepspaces=true,                 
    numbers=left,                    
    numbersep=5pt,                  
    showspaces=false,                
    showstringspaces=false,
    showtabs=false,                  
    tabsize=2,
    language=C
}
